%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Math-GMP
Version:       2.21
Release:       1mamba
Summary:       Math::GMP - High speed arbitrary size integer math
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Math/Math-GMP-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Alien-GMP
Requires:      perl >= %perl_major_ver

%description
Math::GMP gives you access to the fast GMP library for fast big integer math.

%prep
%setup -q -n Math-GMP-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 2.21-1mamba
- automatic version update by autodist

* Wed May 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20-1mamba
- update to 2.20

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-4mamba
- perl 5.16 mass rebuild

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 2.04-3mamba
- automatic rebuild by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-2mamba
- automatic rebuild by autodist

* Fri Sep 14 2007 Aleph0 <aleph0@openmamba.org> 2.04-1mamba
- update to 2.04

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.03-1qilnx
- first build
